Skip to main content
Agents

Delete an agent

DELETE
/agents/{agent_name}

Deletes an agent. For hosted agents, if any version has active sessions, the request is rejected with HTTP 409 unless `force` is set to true. When force is true, all associated sessions are cascade-deleted along with the agent and its versions.

Path Parameters
agent_namestringrequired
The name of the agent to delete.
Query Parameters
forcebooleanoptionaldefault: false
For Hosted Agents, if `true`, force-deletes the agent even if its versions have active sessions, cascading deletion to all associated sessions. The service defaults to `false` if a value is not specified by the caller. This value is not relevant for other Agent types.
api-versionstringrequired
The API version to use for this operation.
Responses
objectenumrequired
The object type. Always 'agent.deleted'.
agent.deleted
namestringrequired
The name of the agent.
deletedbooleanrequired
Whether the agent was successfully deleted.